diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index ef69a8d9..8ace3b32 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -1910,6 +1910,7 @@ define([
         multiple: false,
         emptyOptions: false,
         preserveSelectionOrder: false,
+        isDropdownParent: false,
       },
     }),
 
@@ -1987,6 +1988,7 @@ define([
         multiple: false,
         emptyOptions: false,
         preserveSelectionOrder: false,
+        isDropdownParent: false,
       });
 
       // Evaluate the disabled, visible, and required option
@@ -2015,6 +2017,13 @@ define([
       if (!data.visible)
         this.$el.addClass(Backform.hiddenClassName);
 
+      // Dropdown body can be render at user given location
+      // If isDropdownParent flag is set to true then, By default we will
+      // display it on the control itself.
+      if (data.select2.isDropdownParent) {
+        select2Opts.dropdownParent = data.select2.dropdownParent || this.$el;
+      }
+
       this.$el.html(this.template(data)).addClass(field.name);
 
       var select2Opts = _.extend({
